Runtime

## org.eclipse.gmf.runtime.notation
Interface SortingStyle

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Style

All Known Subinterfaces:
  ListCompartment, SemanticListCompartment

All Known Implementing Classes:
  ListCompartmentImpl, SemanticListCompartmentImpl, SortingStyleImpl

    public interface SortingStyle

extends Style

A representation of the model object 'Sorting Style'.

The sorting style is a style to be installed on nodes representing lists to be sorted

The following features are supported:

- `Sorting`
- `Sorting Keys`
- `Sorted Objects`

See Also:
  `NotationPackage.getSortingStyle()`
** Generated **
Model:

Method Summary
`org.eclipse.emf.common.util.EList` `getSortedObjects()` Returns the value of the 'Sorted Objects' reference list.
`Sorting` `getSorting()` Returns the value of the 'Sorting' attribute.
`java.util.Map` `getSortingKeys()` Returns the value of the 'Sorting Keys' attribute
`void` `setSorting(Sorting value)` Sets the value of the '`Sorting`' attribute
`void` `setSortingKeys(java.util.Map value)` Sets the value of the '`Sorting Keys`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSorting

    Sorting getSorting()

  Returns the value of the 'Sorting' attribute. The default value is `"None"`. The literals are from the enumeration `Sorting`.

  This is the type of sorting applied to the list represented by the node

  Returns:
    the value of the 'Sorting' attribute.
  See Also:
    `Sorting`, `setSorting(Sorting)`, `NotationPackage.getSortingStyle_Sorting()`
  ** Generated **
  Model:
    default="None"

### setSorting

    void setSorting(Sorting value)

  Sets the value of the '`Sorting`' attribute.

  This is the type of sorting applied to the list represented by the node

  Parameters:
    `value` - the new value of the 'Sorting' attribute.
  See Also:
    `Sorting`, `getSorting()`
  ** Generated **

### getSortingKeys

    java.util.Map getSortingKeys()

  Returns the value of the 'Sorting Keys' attribute.

  The property is an ordered map of sorting string keys to their `SortingDirection`. The key strings are user-defined and normally used when the Sorting property is set to Automatic The value is a non-modifiable map of `java.lang.String` objects to `org.eclipse.gmf.runtime.notation.SortingDirection` objects Any attempt to change the returned map will result in `UnsupportedOperationException` thrown; instead use `setSortingKeys` to change the map

  Returns:
    the value of the 'Sorting Keys' attribute.
  See Also:
    `setSortingKeys(Map)`, `NotationPackage.getSortingStyle_SortingKeys()`
  ** Generated **
    NOT
  Model:
    dataType="org.eclipse.gmf.runtime.notation.SortKeyMap"

### setSortingKeys

    void setSortingKeys(java.util.Map value)

  Sets the value of the '`Sorting Keys`' attribute.

  The property is an ordered map of sorting string keys to their `SortingDirection`. The key strings are user-defined and normally used when the Sorting property is set to Automatic The value must be an empty map or one that contains only `java.lang.String` objects in the keys and `org.eclipse.gmf.runtime.notation.Alignment` objects in the values

  Parameters:
    `value` - the new value of the 'Sorting Keys' attribute. The value cannot be `null`
  Throws:
    `java.lang.NullPointerException` - if the passed map is `null`
    `java.lang.IllegalArgumentException` - if one or more keys in the passed map is not of type `java.lang.String` or one or more values is not of type `org.eclipse.gmf.runtime.notation.Alignment`
  See Also:
    `getSortingKeys()`
  ** Generated **
    NOT

### getSortedObjects

    org.eclipse.emf.common.util.EList getSortedObjects()

  Returns the value of the 'Sorted Objects' reference list. The list contents are of type `EObject`.

  The property is an ordered list of references to objects be sorted. The property is normally used when the Sorting property is set to Manual

  Returns:
    the value of the 'Sorted Objects' reference list.
  See Also:
    `NotationPackage.getSortingStyle_SortedObjects()`
  ** Generated **
  Model:
    type="org.eclipse.emf.ecore.EObject"

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.